core::dbus::Codec< std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::Codec< std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > >:

## Static Public Member Functions

static void | encode_argument (Message::Writer &writer, const std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > &arg)
static void | decode_argument (Message::Reader &reader, std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > &out)

## Detailed Description

Definition at line 329 of file codec.h.

## Member Function Documentation

## decode_argument()

void core::dbus::Codec< std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > >::decode_argument | ( | Message::Reader & | reader,
|  | std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > & | out )

inline static

Definition at line 344 of file codec.h.

References com::lomiri::location::SpaceVehicle::key.

## encode_argument()

void core::dbus::Codec< std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > >::encode_argument | ( | Message::Writer & | writer,
|  | const std::map< com::lomiri::location::SpaceVehicle::Key, com::lomiri::location::SpaceVehicle > & | arg )

inline static

Definition at line 331 of file codec.h.

The documentation for this struct was generated from the following file:

- codec.h